#!/bin/bash

TARGET_DIR="/root"
TARGET_USER="root"
TARGET_IP="fabui.local"
TARGET_APP="$1"
shift

TARGET_APP_NAME=$(basename $TARGET_APP)

scp $TARGET_APP $TARGET_USER@$TARGET_IP:$TARGET_DIR
ssh $TARGET_USER@$TARGET_IP "killall -9 gdbserver"
ssh $TARGET_USER@$TARGET_IP "nohup gdbserver :10000 $TARGET_DIR/$TARGET_APP_NAME $@ < /dev/null > /tmp/output.log 2>&1 &"
